﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Styles;
using System.Reflection;
using System.Drawing.Drawing2D;
using Steema.TeeChart.Drawing;

namespace TestSourceCode
{
    public partial class Form1 : Form
    {

        Steema.TeeChart.Styles.Line line1, line2;
        Steema.TeeChart.Axis axis1;
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            line1 = new Line(tChart1.Chart);
            line2 = new Line(tChart1.Chart);
            axis1 = new Axis(tChart1.Chart);

            tChart1.Axes.Custom.Add(axis1);
            axis1.Horizontal = true;
            Random rnd = new Random();
            for (int i = 0; i < 10; i++)
            {
                line1.Add(((i + 100) * 2), rnd.Next(100));
                line2.Add(((i + 100) * 2), 0);
            }
            line1.VertAxis = VerticalAxis.Left;
            line1.HorizAxis = HorizontalAxis.Bottom;
            line2.VertAxis = VerticalAxis.Left;
            line2.CustomHorizAxis = axis1;
            axis1.SetMinMax(line2.XValues.Minimum, line2.XValues.Maximum);
            axis1.Labels.Visible = false;
            tChart1.Axes.Left.SetMinMax(-100, 100);
            tChart1.Axes.Bottom.StartPosition = 1;
            tChart1.Axes.Left.AxisPen.Visible = false;
            tChart1.Axes.Bottom.AxisPen.Visible = false;
            axis1.AxisPen.Visible = false;

        }


        private void button2_Click(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    }
}